%global momorel 3
Name:       rhythmbox
Summary:    A music management application, originally inspired by Apple's iTunes.
#'
Version:     0.9.5
Release:     %{momorel}m
License:     GPL
Group:	     Applications/Multimedia
%NoSource 0 http://ftp.gnome.org/pub/GNOME/sources/%{name}/0.9/%{name}-%{version}.tar.bz2 ff55e1db114321b7bdd6e21df1879367
Source1:     http://ftp.gnome.org/pub/GNOME/sources/rhythmbox/rhythmbox.png
Patch0:      rhythmbox-0.9.5-eel_strdup_strftime.patch
URL:         http://www.gnome.org/projects/rhythmbox/
BuildRoot:   %{_tmppath}/%{name}-%{version}-root
BuildPrereq: perl-XML-Parser
BuildPrereq: gettext >= 0.14.5
BuildPrereq: glib-devel >= 2.10.2
BuildPrereq: pkgconfig >= 0.9.0
BuildPrereq: hal-devel
BuildPrereq: gstreamer010-devel >= 0.10.0
BuildPrereq: avahi-devel
BuildPrereq: libnotify-devel
BuildPrereq: libsoup-devel
BuildPrereq: zlib-devel >= 1.2.3
BuildPrereq: libmusicbrainz-devel >= 2.1.2
BuildPrereq: nautilus-cd-burner-devel >= 2.14.1
BuildPrereq: GConf-devel >= 2.14.0
BuildPrereq: lirc-devel
BuildPrereq: python >= 2.3
BuildPrereq: pygtk >= 2.8.6
BuildPrereq: dbus-devel >= 0.61
BuildPrereq: libgpod-devel >= 0.3.2
Requires: gst-plugins-base
Requires: gst-plugins-good

%description
Rhythmbox is an integrated music management application, originally inspired by Apple's iTunes. It is free software, designed to work well under the GNOME Desktop, and based on the powerful GStreamer media framework.
#'

%prep
%setup -q
%patch0 -p1 -b .eel_strdup_strftime

%build
%configure --enable-gtk-doc --enable-python --with-ipod --with-check=no
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

# delete scrollkeeper
rm -rf --preserve-root %{buildroot}/var/lib/scrollkeeper

# install icon
install -d %{buildroot}/%{_datadir}/pixmaps
install %{SOURCE1} %{buildroot}/%{_datadir}/pixmaps

# delete libtool library
find %{buildroot} -name "*.la" -delete

%clean
rm -rf --preserve-root %{buildroot}

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
for i in \
    %{_sysconfdir}/gconf/schemas/rhythmbox.schemas; do
  gconftool-2 --makefile-install-rule $i > /dev/null
done
scrollkeeper-update

%postun
scrollkeeper-update

%files
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_bindir}/%{name}
%{_bindir}/%{name}-client
%{_libdir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/application-registry/%{name}.applications
%{_datadir}/mime-info/%{name}.keys
%{_datadir}/dbus-1/services/org.gnome.Rhythmbox.service
%{_datadir}/gnome/help/%{name}
%{_datadir}/locale/*/*/*
%{_datadir}/omf/%{name}
%{_datadir}/gtk-doc/html/%{name}
%{_libexecdir}/%{name}-metadata
%{_datadir}/pixmaps/%{name}.png

%changelog
* Fri Jul 14 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.9.5-3m)
- add BuildPrereq: libgpod-devel
- add patch0 (eel_strdup_strftime)

* Wed Jul 12 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.9.5-2m)
- add --with-check=no to configure

* Wed Jul 12 2006 imuchin <imuchin777@m3.dion.ne.jp>
- (0.9.5-1m)
- initial build
